/*** 
*search.h - definitions/declarations for sorting/searching routines
*
*
*Purpose:
*   This file contains the function declarations for the sorting and
*   searching routines.
*   [System V]
*
*******************************************************************************/


#ifndef _SIZE_T_DEFINED
typedef unsigned int size_t;
#define _SIZE_T_DEFINED
#endif

/* function declarations for those who want strong type checking
 * on arguments to library function calls
 */

#ifdef LINT_ARGS    /* argument checking enabled */

#ifndef NO_EXT_KEYS /* extended keywords are enabled */
char * cdecl lsearch(char *, char *, unsigned int *, unsigned int, int (cdecl *)());
char * cdecl lfind(char *, char *, unsigned int *, unsigned int, int (cdecl *)());
void * cdecl bsearch(const void *, const void *, size_t, size_t, int (cdecl *)());
void cdecl qsort(void *, size_t, size_t, int (cdecl *)());
#else           /* extended keywords not enabled */
char *lsearch(char *, char *, unsigned int *, unsigned int, int (*)());
char *lfind(char *, char *, unsigned int *, unsigned int, int (*)());
void *bsearch(const void *, const void *, size_t, size_t, int (*)());
void qsort(void *, size_t, size_t, int (*)());
#endif  /* NO_EXT_KEYS */

#else           /* argument checking not enabled */

#ifndef NO_EXT_KEYS /* extended keywords are enabled */
char * cdecl lsearch();
char * cdecl lfind();
void * cdecl bsearch();
void cdecl qsort();
#else           /* extended keywords not enabled */
char *lsearch();
char *lfind();
char *bsearch();
void qsort();
#endif  /* NO_EXT_KEYS */

#endif  /* LINT_ARGS */
